Change in docker-playground[master]: jenkins-common.sh: exit if image fails to build

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

osmith gerrit-no-reply at lists.osmocom.org
Fri Jan 25 10:49:13 UTC 2019


osmith has submitted this change and it was merged. ( https://gerrit.osmocom.org/12690 )

Change subject: jenkins-common.sh: exit if image fails to build
......................................................................

jenkins-common.sh: exit if image fails to build

docker_images_require() must fail when a new image can not be built,
even if an old image already exists.

We have this situation in a lot of the -latest tests right now, which
makes it harder to find the actual error.

Note that we can't simply use #!/bin/sh -e in all the jenkins.sh
scripts that source jenkins_common.sh, because they must be able to
clean up the docker containers on failure. So they can't abort
somewhere in the middle of the scripts. We could rewrite them to do the
clean up in a trap, but this should be done in a separate commit.

Related: OS#3767
Change-Id: I7039089457b62b8798a79c5efd62bd91622986d3
---
M jenkins-common.sh
1 file changed, 2 insertions(+), 2 deletions(-)

Approvals:
  Harald Welte: Looks good to me, approved
  osmith: Verified



diff --git a/jenkins-common.sh b/jenkins-common.sh
index f3d6c61..0dbe8b0 100644
--- a/jenkins-common.sh
+++ b/jenkins-common.sh
@@ -7,10 +7,10 @@
 		# Trigger image build (cache will be used when up-to-date)
 		if [ -z "$NO_DOCKER_IMAGE_BUILD" ]; then
 			echo "Building image: $i (export NO_DOCKER_IMAGE_BUILD=1 to prevent this)"
-			make -C "../$i"
+			make -C "../$i" || exit 1
 		fi
 
-		# Detect missing images (build skipped/failure)
+		# Detect missing images (build skipped)
 		if ! docker_image_exists "$i"; then
 			echo "ERROR: missing image: $i"
 			exit 1

-- 
To view, visit https://gerrit.osmocom.org/12690
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-MessageType: merged
Gerrit-Change-Id: I7039089457b62b8798a79c5efd62bd91622986d3
Gerrit-Change-Number: 12690
Gerrit-PatchSet: 4
Gerrit-Owner: osmith <osmith at sysmocom.de>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Max <msuraev at sysmocom.de>
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: daniel <dwillmann at sysmocom.de>
Gerrit-Reviewer: osmith <osmith at sysmocom.de>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190125/ae5736ef/attachment.htm>


More information about the gerrit-log mailing list